<style>
  .food,
  .total {
    padding: .5em;
  }

  .food {
    border-bottom: 1px solid rgba(255, 91, 87, 1);
  }

  .total {
    border-top: 2px solid rgba(255, 91, 87, 1);
  }

  button {
    width: 95%;
  }

  .email {
    margin: 1.5em 0;
  }
</style>

<div fxLayout="column">

  <div md-dialog-title class="center-text">
    <img src="../../../../assets/img/Yum-logo-small.png">
  </div>

  <md-dialog-content>
    <div class="center-text email">
      <h3>Congrats, {{name}}</h3>
      <p>You are going to order on <span class="bold-text">{{date | date:'EEE, dd MMM y'}}</span></p>
    </div>

    <!-- Order Summary -->
    <div fxLayout="row" class="food" *ngFor="let orderedFood of orderedFoods">
      <div fxFlex="50%">
        <span mdTooltip="{{orderedFood.description}}" mdTooltipPosition="above">{{orderedFood.name}}</span>
      </div>
      <div fxFlex="25%" class="right-text">
        <span>{{orderedFood.quantity}}</span>
      </div>
      <div fxFlex="25%" class="right-text">
        <span class="bold-text"> &times; {{orderedFood.price | number:'1.2'}}<span [innerHTML]="globalSettingsService.getCurrency() | async"></span></span>
      </div>
    </div>

    <div fxLayout="row" class="total">
      <div fxFlex="75%">
        <span class="bold-text">Total</span>
      </div>
      <div fxFlex="25%" class="right-text">
        <span class="bold-text">{{getTotalPrice() | number:'1.2'}}<span [innerHTML]="globalSettingsService.getCurrency() | async"></span></span>
      </div>
    </div>

    <div class="center-text email">
      <md-checkbox color="primary" [checked]="sendEmail" [(ngModel)]="sendEmail" [tabIndex]="-1">Email me this</md-checkbox>
    </div>
    <!-- /Order Summary -->

    <div fxLayout="row">
      <div fxFlex="50%">
        <p><button md-button color="accent" class="button-strong-text" (click)="dialogRef.close('cancel')" [tabIndex]="1">Cancel</button></p>
      </div>
      <div fxFlex="50%">
        <p><button md-button color="primary" class="button-strong-text" (click)="returnPreference()" [tabIndex]="0">Bon appetit!</button></p>
      </div>
    </div>

  </md-dialog-content>

</div>
